# EPaned

## Name

EPaned --

## Synopsis

                EPaned;
    void        e_paned_add1                    (EPaned *paned,
                                                 GtkWidget *child);
    void        e_paned_add2                    (EPaned *paned,
                                                 GtkWidget *child);
    void        e_paned_pack1                   (EPaned *paned,
                                                 GtkWidget *child,
                                                 gboolean resize,
                                                 gboolean shrink);
    void        e_paned_pack2                   (EPaned *paned,
                                                 GtkWidget *child,
                                                 gboolean resize,
                                                 gboolean shrink);
    gint        e_paned_get_position            (EPaned *paned);
    void        e_paned_set_position            (EPaned *paned,
                                                 gint position);
    void        e_paned_set_handle_size         (EPaned *paned,
                                                 guint16 size);
    void        e_paned_compute_position        (EPaned *paned,
                                                 gint allocation,
                                                 gint child1_req,
                                                 gint child2_req);
    gboolean    e_paned_handle_shown            (EPaned *paned);
    gint        e_paned_quantized_size          (EPaned *paned,
                                                 int size);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----EPaned
                         +----EHPaned
                         +----EVPaned

## Properties

      "handle-size"          guint                 : Read / Write
      "quantum"              guint                 : Read / Write

## Description

## Details

### EPaned

    typedef struct {
      guint16 handle_size;
    } EPaned;

### e_paned_add1 ()

    void        e_paned_add1                    (EPaned *paned,
                                                 GtkWidget *child);

`paned` : |
`child` : |

### e_paned_add2 ()

    void        e_paned_add2                    (EPaned *paned,
                                                 GtkWidget *child);

`paned` : |
`child` : |

### e_paned_pack1 ()

    void        e_paned_pack1                   (EPaned *paned,
                                                 GtkWidget *child,
                                                 gboolean resize,
                                                 gboolean shrink);

`paned` : |
`child` : |
`resize` : |
`shrink` : |

### e_paned_pack2 ()

    void        e_paned_pack2                   (EPaned *paned,
                                                 GtkWidget *child,
                                                 gboolean resize,
                                                 gboolean shrink);

`paned` : |
`child` : |
`resize` : |
`shrink` : |

### e_paned_get_position ()

    gint        e_paned_get_position            (EPaned *paned);

`paned` : |
Returns : |

### e_paned_set_position ()

    void        e_paned_set_position            (EPaned *paned,
                                                 gint position);

`paned` : |
`position` : |

### e_paned_set_handle_size ()

    void        e_paned_set_handle_size         (EPaned *paned,
                                                 guint16 size);

`paned` : |
`size` : |

### e_paned_compute_position ()

    void        e_paned_compute_position        (EPaned *paned,
                                                 gint allocation,
                                                 gint child1_req,
                                                 gint child2_req);

`paned` : |
`allocation` : |
`child1_req` : |
`child2_req` : |

### e_paned_handle_shown ()

    gboolean    e_paned_handle_shown            (EPaned *paned);

`paned` : |
Returns : |

### e_paned_quantized_size ()

    gint        e_paned_quantized_size          (EPaned *paned,
                                                 int size);

`paned` : |
`size` : |
Returns : |

## Properties

### The "`handle-size`" property

      "handle-size"          guint                 : Read / Write

### The "`quantum`" property

      "quantum"              guint                 : Read / Write